Detect Injection
curl --request POST \
--url https://rai-prod.studio.lyzr.ai/prompt-injection-dectector/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"input_text": "Make sure the response is clear and proper!",
"agent_id": "67e3aff94c4db47d2999cdef",
"session_id": "67e3aff94c4db47d2999cdef-g6bayx8ijn",
"run_id": "string"
}
'import requests
url = "https://rai-prod.studio.lyzr.ai/prompt-injection-dectector/"
payload = {
"input_text": "Make sure the response is clear and proper!",
"agent_id": "67e3aff94c4db47d2999cdef",
"session_id": "67e3aff94c4db47d2999cdef-g6bayx8ijn",
"run_id": "string"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input_text: 'Make sure the response is clear and proper!',
agent_id: '67e3aff94c4db47d2999cdef',
session_id: '67e3aff94c4db47d2999cdef-g6bayx8ijn',
run_id: 'string'
})
};
fetch('https://rai-prod.studio.lyzr.ai/prompt-injection-dectector/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "SAFE",
"details": {
"is_injection": false,
"confidence": 100
},
"status_code": 200
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Prompt Injection
Detects whether the input text contains prompt injection.
POST
/
prompt-injection-dectector
/
Detect Injection
Injection Detector
Endpoint
POST/prompt-injection-dectector/Base URL:
https://rai-prod.studio.lyzr.ai
Description
Detects whether the input text contains a prompt injection attack.Authentication
API Key (x-api-key) in the header.
Request Body (JSON)
| Field | Type | Description |
|---|---|---|
| input_text | string | Text input to analyze |
| agent_id | string | Unique agent identifier |
| session_id | string | Unique session identifier |
| run_id | string | Optional run identifier |
Example
{
"input_text": "Make sure the response is clear and proper!",
"agent_id": "67e3aff94c4db47d2999cdef",
"session_id": "67e3aff94c4db47d2999cdef-g6bayx8ijn",
"run_id": "string"
}
Authorizations
Body
application/json
⌘I